# ATIDrawBuffers (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ATIDrawBuffers

    java.lang.Object
      org.lwjgl.opengl.ATIDrawBuffers

    public final class ATIDrawBuffers

extends java.lang.Object

Field Summary
`static int` `GL_DRAW_BUFFER0_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER1_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER10_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER11_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER12_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER13_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER14_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER15_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER2_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER3_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER4_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER5_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER6_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER7_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER8_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_DRAW_BUFFER9_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_MAX_DRAW_BUFFERS_ATI` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glDrawBuffersATI(int buffer)` Overloads glDrawBuffersATI.
`static void` `glDrawBuffersATI(java.nio.IntBuffer buffers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAX_DRAW_BUFFERS_ATI

    public static final int GL_MAX_DRAW_BUFFERS_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER0_ATI

    public static final int GL_DRAW_BUFFER0_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER1_ATI

    public static final int GL_DRAW_BUFFER1_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER2_ATI

    public static final int GL_DRAW_BUFFER2_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER3_ATI

    public static final int GL_DRAW_BUFFER3_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER4_ATI

    public static final int GL_DRAW_BUFFER4_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER5_ATI

    public static final int GL_DRAW_BUFFER5_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER6_ATI

    public static final int GL_DRAW_BUFFER6_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER7_ATI

    public static final int GL_DRAW_BUFFER7_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER8_ATI

    public static final int GL_DRAW_BUFFER8_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER9_ATI

    public static final int GL_DRAW_BUFFER9_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER10_ATI

    public static final int GL_DRAW_BUFFER10_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER11_ATI

    public static final int GL_DRAW_BUFFER11_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER12_ATI

    public static final int GL_DRAW_BUFFER12_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER13_ATI

    public static final int GL_DRAW_BUFFER13_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER14_ATI

    public static final int GL_DRAW_BUFFER14_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER15_ATI

    public static final int GL_DRAW_BUFFER15_ATI

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glDrawBuffersATI

    public static void glDrawBuffersATI(java.nio.IntBuffer buffers)

### glDrawBuffersATI

    public static void glDrawBuffersATI(int buffer)

  Overloads glDrawBuffersATI.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.